# Role: systemd_networkd

## Description

Installs and configures systemd-networkd.

https://www.freedesktop.org/software/systemd/man/latest/systemd-networkd.service.html

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.systemd_networkd
  vars:
    ...
```

### Vars

`systemd_networkd_configs`:

List of configs to systemd-networkd.
Objects are required to have fields:
- 'filename'
- 'content'

Filename is the basename of the config, not the full path.
